## lutris 0.4.23mx15+1

=== Makefile ===
VERSION=`grep "VERSION" lutris/settings.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`

cover:
	rm tests/fixtures/pga.db -f
	rm tests/coverage/ -rf
	nosetests --with-coverage --cover-package=lutris --cover-html --cover-html-dir=tests/coverage

test:
	rm tests/fixtures/pga.db -f
	nosetests

deb-source: clean
	gbp buildpackage -S
	mkdir -p build
	mv ../lutris_0* build

deb: clean
	gbp buildpackage
	mkdir -p build
	mv ../lutris_0* build

changelog-add:
	EDITOR=vim dch -i

changelog-edit:
	EDITOR=vim dch -e

clean:
	rm -rf build
	debclean

build-all: deb

upload:
	scp build/lutris_${VERSION}.tar.xz lutris.net:/srv/releases/

pgp-renew:
	osc signkey --extend home:strycore
	osc rebuildpac home:strycore --all

winetricks:
	wget https://raw.githubusercontent.com/Winetricks/winetricks/master/src/winetricks -O share/lutris/bin/winetricks

## lutris 0.4.18

=== debian/changelog ===
lutris (0.4.18-1mx15+1) mx; urgency=medium

  * Repackaged for MX 15 & 16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 21 Aug 2018 17:37:58 -0700

lutris (0.4.18-1mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 21 Aug 2018 17:20:40 -0700

lutris (0.4.12-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Tue, 20 Jun 2017 18:22:37 -0700

lutris (0.4.12-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 14 Jun 2017 18:01:36 +0200

lutris (0.4.11.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 31 May 2017 20:27:11 +0200

lutris (0.4.10-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 16 May 2017 13:45:17 +0200

lutris (0.4.9-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 06 May 2017 00:38:58 +0200

lutris (0.4.8-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 22 Apr 2017 16:59:39 +0200

lutris (0.4.7.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 11 Apr 2017 20:15:37 +0200

lutris (0.4.6-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 17 Mar 2017 17:57:21 +0100

lutris (0.4.5-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 08 Mar 2017 18:07:42 +0100

lutris (0.4.4.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 14 Dec 2016 18:58:02 +0100

lutris (0.4.3-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 30 Nov 2016 18:10:22 +0100

lutris (0.4.2-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Nov 2016 16:45:12 +0100

lutris (0.3.8-1~getdeb1) xenial; urgency=medium

  * Upload to PlayDeb

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 28 Aug 2016 00:12:30 +0200

lutris (0.3.8) xenial; urgency=medium

  * Add option to use the dark GTK theme variant
  * Add Desmume runner
  * Add option to limit games to a single CPU core
  * Fix button mappings on mednafen  
  * Improve Reicast installation
  * Add controller support to Reicast
  * Disable Wine crash dialogs by default
  * Sync steam games without depending on the remote library
  * Use inotify to detect changes in Steam folders
  * Allow to browse for mounted CD images during installation

 -- Mathieu Comandon <strycore@gmail.com>  Thu, 04 Aug 2016 00:13:38 -0700

lutris (0.3.7.5) xenial; urgency=medium

  * Fix a bug where booleans in scripts would be converted to strings
  * Update Debian package source format

 -- Mathieu Comandon <strycore@gmail.com>  Mon, 07 Mar 2016 09:57:29 -0800

lutris (0.3.7.4) xenial; urgency=medium

  * Add support for Xephyr
  * Detect Wine versions installed from WineHQ
  * Update koku-xinput-wine to work with the build provided in the runtime
  * Always install the required runner when a game is installed

 -- Mathieu Comandon <strycore@gmail.com>  Sun, 06 Mar 2016 14:37:09 -0800

lutris (0.3.7.3) xenial; urgency=medium

  * Add PCSX2 runner
  * Add PPSSPP runner
  * Extended kickstart support for Amiga CD32
  * UI improvements
  * Regedit fixes

 -- Mathieu Comandon <strycore@gmail.com>  Sun, 21 Feb 2016 21:13:39 -0800

lutris (0.3.7.2) wily; urgency=medium

  * Add button to eject CD-ROMs during installation of Wine games
  * Prevent MAME and MESS to save config files in home directory
  * Monitor installation tasks so installers can respawn processes
  * Randomize extractions folder names to prevent a bug occuring when
    extracting several archives concurrently
  * Allow loading environment variables from system config

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 05 Jan 2016 08:41:23 -0800

lutris (0.3.7.1) wily; urgency=medium

  * Improved command line option to list games
  * Force update of runners
  * Add support of 64bit wine
  * Improve MESS runner
  * Fix Vice runner for non Commodore 64 machines
  * Fix RPM packaging
  * Various bugfixes

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 29 Dec 2015 18:47:05 -0800

lutris (0.3.7) wily; urgency=medium

  * Global:
    - Open a single instance of the program
    - Improved performance and responsiveness of the UI
    - New sidebar to filter games by runner
    - New log window to view output of last launched game
    - Much improved runtime (cross-distro support for games and emulators)
    - Initial support for the installation of multiple versions of the same game
    - Cancelling a game installation will clean up downloaded and installed files
    - Showing wait cursor when loading a game
    - Improved config dialogs usability & reliability
    - Improved monitoring of running game process
    - Tons of bug fixes and minor improvements

  * Runner specific:
    - New runner: Dolphin (Wii and GameCube)
    - New runner: Reicast (Dreamcast)
    - New runner: ResidualVM (some 3D adventure games)
    - Gens is replaced by DGen for Sega Genesis games
    - Fully automate Steam for Windows installation
    - Installing Steam games now does start the installation in Steam
    - New option to shut down Steam when quitting a Steam game
    - Added ability to manage wine versions
    - Added Winetricks and other config tools for Wine games (in the context menu)
    - Winetricks now bundled, used as fallback if not installed on the system
    - New experimental support for Xinput in Wine games
    - Monitor installation for Steam games



=== debian/control ===
Source: lutris
Section: games
Priority: optional
Build-Depends: debhelper,
 python3,
 python3-setuptools,
 dh-python,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 python3-gi,
 libgirepository1.0-dev
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>
Standards-Version: 3.9.5
Vcs-Git: https://github.com/lutris/lutris
Homepage: https://lutris.net
X-Python-Version: >= 3.4

Package: lutris
Architecture: any
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-yaml,
 python3-gi,
 gir1.2-gtk-3.0,
 psmisc,
 cabextract
Recommends: python3-evdev,
 libc6-i386 [amd64],
 lib32gcc1 [amd64]
Description: Install and play any video game easily
 Lutris is a gaming platform for GNU/Linux. Its goal is to make
 gaming on Linux as easy as possible by taking care of installing
 and setting up the game for the user. The only thing you have to
 do is play the game. It aims to support every game that is playable
 on Linux.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.2 at
# Fri, 29 Jan 2016 08:11:44 -0500
export PYBUILD_NAME=lutris
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	mv debian/lutris/usr/bin debian/lutris/usr/games

## lutris 0.4.19

=== debian/changelog ===
lutris (0.4.19-mx17+1) mx; urgency=medium

  * Repackaged for MX 17.
  * Changed to a quilt build.
  * Removed symlink to changelog file in src.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Sep 2018 17:30:47 -0700

lutris (0.4.19) bionic; urgency=medium

  * Prioritize winetricks from the runtime
  * Populate DXVK versions with github releases
  * Add support for DirectX 10 with DXVK
  * Fix detection of xgamma
  * Add 24BPP option for Xephyr
  * Restore Alsa option for Wine
  * Prepend additional system paths to runtime

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 04 Sep 2018 18:48:52 -0700

lutris (0.4.18) bionic; urgency=medium

  * Fix 'execute' command arguments
  * Fix 'write_json' command when no file exists
  * Avoid crash when wine prefix has broken symlinks
  * Update DXVK latest version to 0.52
  * Update winetricks

 -- Mathieu Comandon <strycore@gmail.com>  Thu, 24 May 2018 14:06:45 -0700

lutris (0.4.17) bionic; urgency=medium

  * Add DVXK version option
  * Fixes in Wine registry handling
  * Prioritize /usr/lib32 over Lutris runtime
  * Re-enable Lutris runtime if using a Lutris Wine build
  * Fix xrandr parsing when DisplayPort are available
  * Get pids used by wineserver (experimental, likely to be removed)

 -- Mathieu Comandon <strycore@gmail.com>  Sun, 20 May 2018 14:51:49 -0700

lutris (0.4.16) bionic; urgency=high

  * Fix crash preventing running or configuring wine games
  * Fix Steam being shut down regardless of the associated option's setting
  * Fix some external library folders not being detected
  * Fix crash on InstallerWindow for GTK < 3.22
  * Remove Ctrl+Q shortcut

 -- Mathieu Comandon <strycore@gmail.com>  Fri, 11 May 2018 22:59:26 -0700

lutris (0.4.15) bionic; urgency=medium

  * Add RPCS3 runner
  * Prevent Lutris from killing Steam if it's downloading a game
  * Add option to run DRM free Steam games without opening Steam
  * Add `custom-name` directive for install scripts
  * Set default Wine architecture to 64bit
  * Add support for DXVK in Wine games
  * Prioritize libraries in /usr/lib over the Lutris runtime
  * Disable Lutris runtime on Wine games if Wine is installed globally
  * Download recent wine version if the system installed one is too old
  * Record installation date of games
  * Add option for menu mode key in MESS
  * Support hard disk images for FS-UAE
  * Various UI fixes

 -- Mathieu Comandon <strycore@gmail.com>  Fri, 11 May 2018 14:05:48 -0700

lutris (0.4.14) artful; urgency=medium

  * Add option to include and exclude processes from monitoring in installers
    and during gameplay.
  * Add winekill installer task
  * Fix lutris eating 100% CPU after game quits
  * Fix the way wine games quit
  * Fix Wine Steam being killed on game exit even if the option is disabled
  * Add support for 64bit dinput8.dll for x360ce
  * Add support for dumbxinputemu as a x360ce alternative
  * Add option to enable xinput9_1_0.dll in x360ce
  * Deprecate koku-xinput option
  * Add system option to enable DRI_PRIME
  * Add more platforms to Mednafen
  * Better controller support for Mednafen

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 21 Nov 2017 20:48:38 -0800

lutris (0.4.13) zesty; urgency=medium

  * Add new libretro cores
  * Stop process monitoring as soon as process stops
  * Default 'reset_desktop' option to False
  * Make calling executables more robust
  * Fix xboxdrv not being monitored properly

 -- Mathieu Comandon <strycore@gmail.com>  Wed, 26 Jul 2017 19:12:21 -0700

lutris (0.4.12) zesty; urgency=medium

  * Increase process monitor delay
  * Increase HTTP requests timeouts
  * Disable stdout logger for unmonitored processes
  * Display error when downloaded file doesn't resolve to a filename
  * Add support for symlinks in tar archives
  * Fix sqlite query error when syncing games
  * Fix installation of local scripts
  * Catch errors while reading Steam VDF files

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 13 Jun 2017 20:46:18 -0700

lutris (0.4.11.1) zesty; urgency=medium

  * Fix typo in wineboot check

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 30 May 2017 15:43:07 -0700

lutris (0.4.11) zesty; urgency=medium

  * Add system option to disable process monitoring
  * Finish ScummVM game importing
  * Fix path resolution for local installer scripts
  * Fix 'execute' installer command not being monitored
  * Fix I/O watch hogging a CPU core after game quits
  * Code cleanup

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 30 May 2017 13:36:41 -0700

lutris (0.4.10) zesty; urgency=medium

  * Remove PCSX-R runner
  * Migrate PCSX-R games to use PCSX Rearmed on RetroArch
  * Fix game config being overidden if edited while the game is running
  * Fix Y Axis mapping for the Dual Shock 3 in X360CE
  * Add dinput8 option for X360CE for games requiring it (Dead Space 2,
    Darksiders, ...)
  * Add dialog to optionally sync Steam and XDG desktop shortcuts at startup
  * (Re)add ScummVM import
  * Reenable Lutris runtime by default for Dolphin
  * Update Winetricks (Fixes .NET 3.5 installation)
  * Avoid a crash if Wine prefix is not created
  * Update Wine and Steam icons
  * Add support for lutris:rungame/... and lutris:install/... urls
  * Always instanciate the client's window even when installing or launching
    a game
  * Stop Lutris process monitor instantly when all child processes have quit,
    speeds up game installs and prevents zombie processes.
  * Display real time console output in the game log dialog
  * Display real time console output during game installations
  * Add option to launch the Steam client instead of the game in Wine Steam

 -- Mathieu Comandon <strycore@gmail.com>  Mon, 15 May 2017 22:08:13 -0700

lutris (0.4.9) zesty; urgency=medium

  * Add option to auto-configure x360ce in Wine games based on plugged in
    controllers
  * Add support for batch files in Wine
  * Fix FS-UAE path handling
  * Fix regedit commands on newer Wine versions


## lutris 0.4.23mx15+1

=== debian/changelog ===
lutris (0.4.23mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 28 Apr 2019 14:10:45 -0700

lutris (0.4.23) bionic; urgency=medium

  * Prevent monitor from quitting games that open a 2nd process
  * Run on-demand scripts from game directory
  * Tell the user what executable is expected after a failed install
  * Fix a circular import causing issues on some distributions
  * Add missing dependency for openSUSE Tumbleweed

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 06 Nov 2018 19:10:19 -0800

lutris (0.4.22) bionic; urgency=medium

  * Use lspci instead of xrandr to detect video cards
  * Detect if Vulkan is supported by the system for DXVK games
  * Add experimental playtime support
  * Detect Proton and add it to Wine versions
  * Fix runtime being downloaded when not needed
  * Add experimental tray icon with last games played
  * Add support for Feral Gamemode
  * Prevent process monitor to quit games prematurely
  * Code cleanup

 -- Mathieu Comandon <strycore@gmail.com>  Sat, 03 Nov 2018 00:01:19 -0700

lutris (0.4.21.1) bionic; urgency=medium

  * Fix detection of libvulkan

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 23 Oct 2018 19:31:14 -0700

lutris (0.4.21) bionic; urgency=medium

  * Added an Esync toggle for wine builds with esync patches and a check for limits if the toggle was activated.
  * Added a warning for wine games if wine is not installed on the system (to avoid issues with dependencies).
  * Added a check for Vulkan loaders when using DXVK (forbids from launching the game if it can't detect them)
  * Added check for the presence of executable after the installation finished.
  * Added an option to sort installed games first
  * Added a discouraging warning if Lutris was launched as root.
  * Added a "--version" command line option.
  * Added an error message if requested DXVK version does not exist.
  * Improved behavior of Lutris' background process.
  * Improved UI when changing game's identifier.
  * Wine's own Virtual Desktop configuration is now respected.
  * Merge command now has a 'copy' alias.
  * Executable selection how has a text field.
  * Blacklisted Proton and SteamWorks from showing up as games.
  * Sidebar now shows number of installed games per runner and platform.
  * Visual improvements to wine download dialog
  * Fixed an issue when DXVK versions didn't get updated if dxvk directory wasn't present.
  * Fixed an issue when the watcher would sync Steam games even if the feature was disabled.
  * Fixed missing warning for existing prefix during installation process if the path contained "~".
  * Prevent Steam games from being synced from the AppManifest watcher if Steam sync if off
  * Games load properly when launching Lutris for the first time
  * Minor improvements to wording in some menus.

 -- Mathieu Comandon <strycore@gmail.com>  Sat, 20 Oct 2018 17:39:31 -0700

lutris (0.4.20) bionic; urgency=medium

  * Fix detection of winetricks path
  * Improve visual feedback on wine download dialog
  * Add skill and command-line arguments for Zdoom
  * Add option to disable joypad auto-configuration
  * Restore refresh rate on monitor reset

 -- Mathieu Comandon <strycore@gmail.com>  Mon, 24 Sep 2018 20:46:46 -0700

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,11 @@
  python3-gi,
  gir1.2-gtk-3.0,
  psmisc,
- cabextract
+ cabextract,
+ unrar,
+ unzip,
+ p7zip,
+ curl
 Recommends: python3-evdev,
  libc6-i386 [amd64],
  lib32gcc1 [amd64]

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,5 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
-
-	mv debian/lutris/usr/bin debian/lutris/usr/games
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## lutris 0.4.23mx17+1

=== debian/changelog ===
lutris (0.4.23mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 23 Nov 2018 16:32:59 -0800

## lutris 0.5.0~beta2mx15+1

=== debian/changelog ===
lutris (0.5.0~beta2mx15+1) mx; urgency=medium

  * Repackaged for MX 15 & 16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 14 Jan 2019 15:16:53 -0800

lutris (0.5.0~beta2mx17+1) mx; urgency=medium

  * Repackaged for MX 17 & 18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 14 Jan 2019 15:11:33 -0800

## lutris 0.5.0~beta2mx17+1

=== debian/control ===
--- 
+++ 
@@ -23,12 +23,16 @@
  python3-yaml,
  python3-gi,
  gir1.2-gtk-3.0,
+ gir1.2-gnomedesktop-3.0,
+ gir1.2-webkit2-4.0,
+ gir1.2-notify-0.7,
  psmisc,
  cabextract,
- unrar,
  unzip,
  p7zip,
- curl
+ curl,
+ fluid-soundfont-gs,
+ x11-xserver-utils
 Recommends: python3-evdev,
  libc6-i386 [amd64],
  lib32gcc1 [amd64]

## lutris 0.5.0mx15+1

=== debian/changelog ===
lutris (0.5.0mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 01 Feb 2019 14:44:43 -0800

lutris (0.5.0mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18..

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 01 Feb 2019 14:42:30 -0800

lutris (0.5.0) cosmic; urgency=medium

  * Modernize the Gtk UI, thanks to the improvements made by @TingPing
  * Add GOG support, allowing users to sign-in their account, import games and
    download game files automatically during install.
  * Add finer game import options, allowing imports from different 3rd party
    such as Steam, GOG and locally installed games.
  * Re-architecture the process monitor. This fixes issues with games exiting
    prematurely. Many thanks to @AaronOpfer for his patches!
  * Multiple games can now be launched at the same time without losing control
    over the first game.
  * Game information and actions are now displayed in a panel on the right side.
    Coverart fetching for the panel will be added in a future release, until then
    cover art files can be placed in ~/.local/share/lutris/coverart/[game-identifier].jpg
  * Games from lutris.net can be searched and installed from the client itself.
  * New install_cab_component installer command for Media Foundation based games.
  * Add a download cache to re-use files between installations.
  * Print graphics drivers and GPU on startup
  * Re-design installer selection picker.
  * Add a button to show installer scripts before installing.
  * Add a FPS limiter option when libstrangle is available (https://gitlab.com/torkel104/libstrangle)
  * Re-architecturing of several parts of the application (views, linux
    feature detection, main game class, ...)

 -- Mathieu Comandon <strycore@gmail.com>  Fri, 01 Feb 2019 07:26:25 -0800

## lutris 0.5.0mx17+1

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,8 @@
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-yaml,
+ python3-requests,
+ python3-pil,
  python3-gi,
  gir1.2-gtk-3.0,
  gir1.2-gnomedesktop-3.0,

## lutris 0.5.0.1mx17+1

=== debian/changelog ===
lutris (0.5.0.1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Feb 2019 09:36:20 -0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,17 @@
 Priority: optional
 Build-Depends: debhelper,
  python3,
+ python3-yaml,
  python3-setuptools,
+ python3-requests,
+ python3-pil,
+ python3-gi,
  dh-python,
  gir1.2-gtk-3.0,
  gir1.2-glib-2.0,
- python3-gi,
+ gir1.2-gnomedesktop-3.0,
+ gir1.2-webkit2-4.0,
+ gir1.2-notify-0.7,
  libgirepository1.0-dev
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>

## lutris 0.5.1.2mx17+1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=`grep "VERSION" lutris/settings.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
+VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
 
 cover:
 	rm tests/fixtures/pga.db -f
@@ -8,14 +8,15 @@
 test:
 	rm tests/fixtures/pga.db -f
 	nosetests
+	flake8 lutris
 
 deb-source: clean
-	gbp buildpackage -S
+	gbp buildpackage -S --git-debian-branch=${GITBRANCH}
 	mkdir -p build
 	mv ../lutris_0* build
 
 deb: clean
-	gbp buildpackage
+	gbp buildpackage --git-debian-branch=${GITBRANCH}
 	mkdir -p build
 	mv ../lutris_0* build

=== debian/changelog ===
lutris (0.5.1.2mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 04 Apr 2019 14:17:40 -0700

lutris (0.5.1.2) cosmic; urgency=high

  * Fix issue with custom Proton detection preventing Wine game from running

 -- Mathieu Comandon <strycore@gmail.com>  Mon, 25 Mar 2019 14:24:38 -0700

lutris (0.5.1.1) cosmic; urgency=medium

  * Fixed a crash when trying to open webpages on system without GVFS
    installed
  * Fixed GOG login dialog being displayed multiple times during the install
  * Add mesa-utils as dependency for glxinfo
  * Add gvfs-backends as dependency to fix the open_uri issue
  * Add detection of custom proton builds in compatibilitytools.d folder, as
    documented here: https://github.com/valvesoftware/proton#install-proton-locally
   (by @GloriousEggroll)

 -- Mathieu Comandon <strycore@gmail.com>  Sun, 24 Mar 2019 23:39:18 -0700

lutris (0.5.1) cosmic; urgency=medium

  * Download the default Lutris Wine version when not available
  * Prevent duplicates when importing games from 3rd party services
  * Fix some sorting issues in the view
  * Add issue reporting feature with the --submit-issue flag. The issue can
    only be saved locally, API integration will be implemented at a later stage.
  * Add support for CD-ROM images for non CD32/CDTV Amiga models
  * Remove website search from sidebar and merge it with the main search entry
  * Display a warning message if the installed Nvidia driver is too old
  * Fix GOG games not being installable without being connected to GOG
  * Improve performance of log handling
  * Remove winecfg if Proton is used
  * Use discrete graphics by default with compatible systems
  * Increase game icon size from 32x32 to 128x128
  * Various fixes

 -- Mathieu Comandon <strycore@gmail.com>  Wed, 20 Mar 2019 00:24:27 -0700

lutris (0.5.0.1ubuntu1) cosmic; urgency=medium

  * Bullshit my way out of Gtk+ fuckery (Closes #1697)
  * Initialize playtime attribute when invalid playtime found (Closes #1698)
  * Strip equal signs from envvars (Closes #1699)
  * If the Fedora shit breaks the SUSE shit, I just delete it, OK? (Closes #1700)
  * Add application attribute on GenericPanel (Closes #1702)
  * Avoid crashing on weird GPU configs (Closes #1706)
  * Remove get_config_id (Closes #1708)

 -- Mathieu Comandon <strycore@gmail.com>  Sun, 03 Feb 2019 00:21:32 -0800

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,9 @@
  p7zip,
  curl,
  fluid-soundfont-gs,
- x11-xserver-utils
+ x11-xserver-utils,
+ mesa-utils,
+ gvfs-backends
 Recommends: python3-evdev,
  libc6-i386 [amd64],
  lib32gcc1 [amd64]

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 export PYBUILD_NAME=lutris
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
+	
+	
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+

## lutris 0.5.2.1mx15+1

=== debian/changelog ===
lutris (0.5.2.1mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 27 Apr 2019 16:03:25 -0700

lutris (0.5.2.1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 27 Apr 2019 15:58:38 -0700

lutris (0.5.2.1) cosmic; urgency=high

  * Handle distributions where ldconfig is not in $PATH, like Debian
  * Fix a crash when GOG credential have changed
  * Leave "Show logs" button always enabled
  * Add BlastEm to libretro cores

 -- Mathieu Comandon <strycore@gmail.com>  Tue, 09 Apr 2019 19:46:02 -0700

lutris (0.5.2) cosmic; urgency=medium

  * Avoid a crash if the lutris config file is corrupted
  * Install Asian fonts by default on Wine prefix creation
  * Add Vulkan ICD loaders in system options
  * Add SampleCount option to Wine (allows enabling antialiasing in old games)
  * Replace joystick panel with Wine config panel (which contains the joypad panel)
  * Display warning when installing games on NTFS drives
  * Display warning if Vulkan is not fully installed
  * Use ldconfig to determine library paths
  * Disable steamwebhelper in Wine Steam to prevent spamming logs with errors
  * Various bug fixes

 -- Mathieu Comandon <strycore@gmail.com>  Thu, 04 Apr 2019 02:47:30 -0700

lutris (0.5.1.3) cosmic; urgency=critical

  * Fake release to work around Launchpad / OBS publishing issues.

 -- Mathieu Comandon <strycore@gmail.com>  Mon, 25 Mar 2019 17:38:55 -0700

## lutris 0.5.2.1mx17+1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+.PHONY: snap
 VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
 
 cover:
@@ -41,3 +42,13 @@
 
 winetricks:
 	wget https://raw.githubusercontent.com/Winetricks/winetricks/master/src/winetricks -O share/lutris/bin/winetricks
+
+snap:
+	snapcraft clean lutris -s pull
+	snapcraft
+
+upload-staging:
+	gbp buildpackage -S --git-debian-branch=master
+	mkdir -p build
+	mv ../lutris_0* build
+	dput --force ppa:lutris-team/lutris-staging build/lutris_${VERSION}*_source.changes

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  gir1.2-gnomedesktop-3.0,
  gir1.2-webkit2-4.0,
  gir1.2-notify-0.7,
- libgirepository1.0-dev
+ libgirepository1.0-dev,
+ libc-bin
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>
 Standards-Version: 3.9.5
@@ -42,7 +43,8 @@
  fluid-soundfont-gs,
  x11-xserver-utils,
  mesa-utils,
- gvfs-backends
+ gvfs-backends,
+ libc-bin
 Recommends: python3-evdev,
  libc6-i386 [amd64],
  lib32gcc1 [amd64]

## lutris 0.5.2.1mx17+2

=== debian/changelog ===
lutris (0.5.2.1mx17+2) mx; urgency=medium

  * Repackaged for MX-17/18.
  * Added libvulkan1:i386 to the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 20 May 2019 14:51:35 -0700

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
  gir1.2-notify-0.7,
  libgirepository1.0-dev,
  libc-bin
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>
+Maintainer: Mathieu Comandon <strider@strycore.com>
 Standards-Version: 3.9.5
 Vcs-Git: https://github.com/lutris/lutris
 Homepage: https://lutris.net
@@ -44,7 +43,8 @@
  x11-xserver-utils,
  mesa-utils,
  gvfs-backends,
- libc-bin
+ libc-bin,
+ libvulkan1:i386
 Recommends: python3-evdev,
  libc6-i386 [amd64],
  lib32gcc1 [amd64]

## lutris 0.5.2.2~ab~SID+1

=== debian/changelog ===
lutris (0.5.2.2~ab~SID+1) sid-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    bf777da34f388d47fd235d749e946394bb9671e2.
  * External port from:
    http://download.opensuse.org/repositories/home:/strycore/Debian_9.0/
    lutris_0.5.2.2.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Sun, 04 Aug 2019 16:53:00 +0200

lutris (0.5.2.2) disco; urgency=high

  * Fix installation of Wine Steam runner
  * Restore and preserve original d3d .dll files when DXVK option is not active

 -- Mathieu Comandon <strycore@gmail.com>  Wed, 26 Jun 2019 21:20:13 -0700

## lutris 0.5.2.2mx17+1

=== debian/changelog ===
lutris (0.5.2.2mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Added libvulkan-dev:i386 to the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 20 Jul 2019 15:55:47 -0700

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
  gir1.2-notify-0.7,
  libgirepository1.0-dev,
  libc-bin
-Maintainer: Mathieu Comandon <strider@strycore.com>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>
 Standards-Version: 3.9.5
 Vcs-Git: https://github.com/lutris/lutris
 Homepage: https://lutris.net
@@ -26,6 +27,7 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${python3:Depends},
+ libvulkan-dev:i386, 
  python3-yaml,
  python3-requests,
  python3-pil,
@@ -43,8 +45,7 @@
  x11-xserver-utils,
  mesa-utils,
  gvfs-backends,
- libc-bin,
- libvulkan1:i386
+ libc-bin
 Recommends: python3-evdev,
  libc6-i386 [amd64],
  lib32gcc1 [amd64]

## lutris 0.5.2.2mx19+1

=== debian/changelog ===
lutris (0.5.2.2mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 20 Jul 2019 16:21:10 -0700

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 	
-	
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## lutris 0.5.3~ab~BULLSEYE+1

=== debian/changelog ===
lutris (0.5.3~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    9b500c24aba40a3d6861c9136238c499686920ae.
  * External port from:
    http://download.opensuse.org/repositories/home:/strycore/Debian_9.0/
    lutris_0.5.3.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Tue, 17 Sep 2019 16:59:05 +0200

lutris (0.5.3) disco; urgency=medium

  * Added D9VK option.
  * Added options to hide right and left panels.
  * Added support for Discord Rich Presence (option is only available if you
    have python-pypresence installed).
  * Added option to launch Wine console.
  * Added option to hide Lutris on game launch.
  * Added lazy loading for some UI components that fetch data from Lutris.
  * WINE_LARGE_ADDRESS_AWARE is now set to 1 when DXVK or D9VK is enabled
    (only works with lutris-provided builds) to workaround crashes in 32-bit games.
  * Lutris should now be minimized when launching games from shortcuts.
  * An error is now displayed when Lutris fails to install a runner.
  * Added Ubuntu's AMDVLK path to Vulkan ICD loader search.
  * State of right panel is now refreshed after adding/removing shortcuts.
  * Working directory no longer defaults to /tmp
  * Switched PC-Engine module from pce to pce_fast.
  * Fixed crash due to invalid GOG credentials.
  * Fixed UI bug that would sometimes result in “No File Provided” error messages.
  * Fixed bug that would lead to path warnings when prompted to select files.
  * Fixed crashes due to unexpected data from xrandr.
  * Fixed bug that could make antialiasing not function in some games.
  * Fixed sorting for games that start with a lowercase letter.
  * Fixed bug that would cause user session to end when launching games on Linux Mint.
  * Fixed bug with process monitor that could cause games to not launch.
  * Fixed bug that would not let user execute some options and launch external
    executables when a game is still running and ESYNC is enabled.
  * Fixed issues with restoration of original .dll files when disabling DXVK/D9VK.
  * Fixed crashes due to inability to read GPU driver information.
  * Fixed crash when working directory isn’t defined.
  * Fixed stuck game importing due to failure to load icons.
  * Fixed library loading issues on Gentoo.
  * Fixed wine sandboxing on non-english systems.
  * Fixed various issues with locales.
  * Made various changes and improvements for libretro runner.
  * Made various changes and improvements for future Flatpak support.
  * Made minor changes to wording in UI.
  * Updated Zdoom icon
  * Updated Lutris logo (improvements by @Scout339)

 -- Mathieu Comandon <strycore@gmail.com>  Mon, 02 Sep 2019 20:50:01 -0700

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
  gir1.2-notify-0.7,
  libgirepository1.0-dev,
  libc-bin
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>
+Maintainer: Mathieu Comandon <strider@strycore.com>
 Standards-Version: 3.9.5
 Vcs-Git: https://github.com/lutris/lutris
 Homepage: https://lutris.net
@@ -27,7 +26,6 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${python3:Depends},
- libvulkan-dev:i386, 
  python3-yaml,
  python3-requests,
  python3-pil,

## lutris 0.5.3~ab~SID+1

=== debian/changelog ===
lutris (0.5.3~ab~SID+1) sid-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    9b500c24aba40a3d6861c9136238c499686920ae.
  * External port from:
    http://download.opensuse.org/repositories/home:/strycore/Debian_9.0/
    lutris_0.5.3.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Tue, 17 Sep 2019 16:59:02 +0200

## lutris 0.5.3

=== Makefile ===
--- 
+++ 
@@ -47,6 +47,9 @@
 	snapcraft clean lutris -s pull
 	snapcraft
 
+upload-ppa:
+	dput ppa:lutris-team/lutris build/lutris_${VERSION}*_source.changes
+
 upload-staging:
 	gbp buildpackage -S --git-debian-branch=master
 	mkdir -p build

=== debian/changelog ===
lutris (0.5.3-1mx19+2) mx; urgency=medium

  * Changed from native to quit build.
  * Added libvulkan-dev:i386 to the depends list.
  * Changed Architecture: from any to all in the control file.
  * Changed -Python-Version: to -Python3-Version:
    in the control file.
  * Set compat to 11/debhelper (>=11).
  * Removed [amd64] from recommends ibc6-i386 & lib32gcc1 

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 02 Oct 2019 14:56:56 -0700

lutris (0.5.3mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 01 Oct 2019 13:35:36 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lutris
 Section: games
 Priority: optional
-Build-Depends: debhelper,
+Build-Depends: debhelper (>=11),
  python3,
  python3-yaml,
  python3-setuptools,
@@ -16,14 +16,15 @@
  gir1.2-notify-0.7,
  libgirepository1.0-dev,
  libc-bin
-Maintainer: Mathieu Comandon <strider@strycore.com>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>
 Standards-Version: 3.9.5
 Vcs-Git: https://github.com/lutris/lutris
 Homepage: https://lutris.net
-X-Python-Version: >= 3.4
+X-Python3-Version: >= 3.4
 
 Package: lutris
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-yaml,
@@ -43,10 +44,11 @@
  x11-xserver-utils,
  mesa-utils,
  gvfs-backends,
- libc-bin
-Recommends: python3-evdev,
- libc6-i386 [amd64],
- lib32gcc1 [amd64]
+ libc-bin, 
+ libvulkan-dev:i386
+Recommends: python3-evdev, 
+	libc6-i386,
+ 	lib32gcc1 
 Description: Install and play any video game easily
  Lutris is a gaming platform for GNU/Linux. Its goal is to make
  gaming on Linux as easy as possible by taking care of installing

## lutris 0.5.3mx17+1

=== debian/changelog ===
lutris (0.5.3mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 01 Oct 2019 13:37:12 -0700

## lutris 0.5.3mx19+1

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=lutris
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-	
+
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## lutris 0.5.4~ab10+1

=== debian/changelog ===
lutris (0.5.4~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    bf01878a6e5a4a5fef19f079d1f0de33c6b033ba.
  * External port from:
    http://download.opensuse.org/repositories/home:/strycore/Debian_9.0/
    lutris_0.5.4.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Sat, 30 Nov 2019 16:55:59 +0100

lutris (0.5.4) eoan; urgency=medium

  * Added support for Python 3.8.
  * Added config validation.
  * Added support for Nvidia PRIME off-load.
  * Added a popup after a successful game import.
  * Added alacritty as a terminal option.
  * Newly installed games that don't specify wine version will now default to the version used during installation.
  * Provide a fallback for when Lutris can't create a working directory.
  * Update libretro runners list.
  * Removed runners that have no binary builds.
  * Esync can now be enabled for Wine Staging >= 4.6.
  * Default scaling option for Mednafen is now nn4x.
  * steamwebhelper.exe is no longer disabled to avoid issues with the new Steam UI.
  * Ignore special symbols when generating identifiers for games.
  * Wine processes are now killed if installation is cancelled.
  * Fixed installation issues for users whose username begin with "x".
  * Fixed a bug with side panels hidden by default on first start.
  * Fixed an issue that would not allow user to unselect a game in right panel by clicking on an empty space in the library if that game was no longer installed.
  * Fixed an issue that allowed user to change the configuration of a game that was already removed.
  * Fixed an issue that made games imported from native Steam to appear as uninstalled.
  * Fixed a bug that opened Wine Console instead of Wine Registry.
  * Fixed warnings that occurred when Gamemode was enabled.
  * Fixed various locale issues.
  * Fixed a bug preventing Lutris to find Gallium Nine libraries.
  * Fixed issues with positioning of the Lutris window.
  * Fixed game panel updates on game quit.
  * Fixed game loading error in cases when libstrangle is missing but was previously enabled.
  * Fixed a bug that made Lutris download Linux version of a GOG game even when the runner was set to Wine.
  * Fixed installation of the local install scripts.
  * Fixed installation issues for wine installers that don't have a "files" section.
  * Further fixed issues with wine sandboxing on non-english systems.

 -- Mathieu Comandon <strycore@gmail.com>  Wed, 20 Nov 2019 17:51:16 -0800

## lutris 0.5.4

=== debian/changelog ===
lutris (0.5.4-1~mx18+1) mx; urgency=medium

  * Initial packaging for MX 18.
  * Changed from native to quit build.
  * Added libvulkan-dev:i386 to the depends list.
  * Set compat to 11/debhelper (>=11).
  * Removed [amd64] from recommends ibc6-i386 & lib32gcc1 

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 07 Dec 2019 21:58:21 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  gir1.2-notify-0.7,
  libgirepository1.0-dev,
  libc-bin
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>
 Standards-Version: 3.9.5
 Vcs-Git: https://github.com/lutris/lutris
@@ -24,7 +24,7 @@
 X-Python3-Version: >= 3.4
 
 Package: lutris
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-yaml,
@@ -44,11 +44,11 @@
  x11-xserver-utils,
  mesa-utils,
  gvfs-backends,
- libc-bin, 
+ libc-bin,
  libvulkan-dev:i386
-Recommends: python3-evdev, 
-	libc6-i386,
- 	lib32gcc1 
+Recommends: python3-evdev,
+ libc6-i386,
+ lib32gcc1
 Description: Install and play any video game easily
  Lutris is a gaming platform for GNU/Linux. Its goal is to make
  gaming on Linux as easy as possible by taking care of installing

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,5 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-	
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## lutris 0.5.6

=== Makefile ===
VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`

all:
	export GITBRANCH=master
	debuild
	debclean

build:
	gbp buildpackage --git-debian-branch=${GITBRANCH}

clean:
	debclean

test:
	rm tests/fixtures/pga.db -f
	nosetests
	flake8 lutris

cover:
	rm tests/fixtures/pga.db -f
	rm tests/coverage/ -rf
	nosetests --with-coverage --cover-package=lutris --cover-html --cover-html-dir=tests/coverage

pgp-renew:
	osc signkey --extend home:strycore
	osc rebuildpac home:strycore --all

changelog-add:
	dch -i

changelog-edit:
	dch -e

upload:
	scp build/lutris_${VERSION}.tar.xz lutris.net:/srv/releases/

upload-ppa:
	dput ppa:lutris-team/lutris build/lutris_${VERSION}*_source.changes

upload-staging:
	dput --force ppa:lutris-team/lutris-staging build/lutris_${VERSION}*_source.changes

snap:
	snapcraft clean lutris -s pull
	snapcraft

## lutris 0.5.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,9 @@
 VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
+GITBRANCH ?= master
+PIPENV:=pipenv
+PYTHON:=$(shell which python3)
+PIP:=$(PYTHON) -m pip
+PIPENV_LOCK_ARGS:= --deploy --ignore-pipfile
 
 all:
 	export GITBRANCH=master
@@ -11,15 +16,22 @@
 clean:
 	debclean
 
+build-source: clean
+	gbp buildpackage -S --git-debian-branch=${GITBRANCH}
+	mkdir build
+	mv ../lutris_${VERSION}* build
+
+release: build-source upload upload-ppa
+
 test:
 	rm tests/fixtures/pga.db -f
-	nosetests
+	nosetests3
 	flake8 lutris
 
 cover:
 	rm tests/fixtures/pga.db -f
 	rm tests/coverage/ -rf
-	nosetests --with-coverage --cover-package=lutris --cover-html --cover-html-dir=tests/coverage
+	nosetests3 --with-coverage --cover-package=lutris --cover-html --cover-html-dir=tests/coverage
 
 pgp-renew:
 	osc signkey --extend home:strycore
@@ -43,3 +55,49 @@
 snap:
 	snapcraft clean lutris -s pull
 	snapcraft
+
+dev:
+	$(PIP) install --user --upgrade pipenv
+	$(PIPENV) install --dev $(PIPENV_LOCK_ARGS) --python $(PYTHON)
+
+requirements:
+	# Generate new requirements.txt and requirements-dev.txt based on Pipfile.lock
+	# These files are needed by Travis CI
+	$(PIPENV) run pipenv_to_requirements -f
+
+# ============
+# Style checks
+# ============
+
+style: isort autopep8  ## Format code
+
+isort:
+	$(PIPENV) run isort -y -rc lutris
+
+autopep8:
+	$(PIPENV) run autopep8 --in-place --recursive --ignore E402 setup.py lutris
+
+
+# ===============
+# Static analysis
+# ===============
+
+check: isort-check flake8 pylint
+
+isort-check:
+	$(PIPENV) run isort -c -rc lutris
+
+flake8:
+	$(PIPENV) run flake8 lutris
+
+pylint:
+	$(PIPENV) run pylint --rcfile=.pylintrc --output-format=colorized lutris
+
+# =============
+# Abbreviations
+# =============
+
+sc: style check
+req: requirements
+styles: style
+checks: check

=== requirements.txt ===
################################################################################
# This requirements file has been automatically generated from `Pipfile` with
# `pipenv-to-requirements`
#
#
# This has been done to maintain backward compatibility with tools and services
# that do not support `Pipfile` yet.
#
# Do NOT edit it directly, use `pipenv install [-d]` to modify `Pipfile` and
# `Pipfile.lock` and then regenerate `requirements*.txt`.
################################################################################

astroid==2.3.3
certifi==2020.4.5.1
cffi==1.14.0
chardet==3.0.4
cryptography==2.9.2
dbus-python==1.2.16
entrypoints==0.3
evdev==1.3.0
idna==2.9
jeepney==0.4.3 ; sys_platform == 'linux'
keyring==21.2.0
lazy-object-proxy==1.4.3
mccabe==0.6.1
pycairo==1.19.1
pycparser==2.20
pyflakes==2.2.0
pygobject==3.36.0
pyyaml==5.3.1
requests==2.23.0
secretstorage==3.1.2 ; sys_platform == 'linux'
six==1.14.0
urllib3==1.25.9
wrapt==1.11.2
